Package icyllis.arc3d.granite

# Class GraniteImage

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.core.Image
icyllis.arc3d.granite.GraniteImage

All Implemented Interfaces:
  `RefCounted`

public final class GraniteImage extends Image
The image that is backed by GPU.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Image

  `mInfo, mUniqueID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraniteImage(@RawPtr RecordingContext context, @SharedPtr ImageViewProxy view, int colorType, int alphaType, ColorSpace colorSpace)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static @SharedPtr GraniteImage`
  `copy(@RawPtr RecordingContext rc, @RawPtr ImageViewProxy srcView, ImageInfo srcInfo, Rect2ic subset, boolean budgeted, boolean mipmapped, boolean approxFit, String label)`
  `protected void`
  `deallocate()`
  Override this method to invoke de-allocation of the underlying resource.
  `Context`
  `getContext()`
  `@RawPtr ImageViewProxy`
  `getImageViewProxy()`
  `long`
  `getTextureSize()`
  `boolean`
  `isTextureBacked()`
  `String`
  `toString()`

  ### Methods inherited from class icyllis.arc3d.core.Image

  `getAlphaType, getBounds, getBounds, getColorSpace, getColorType, getHeight, getInfo, getUniqueID, getWidth, isAlphaOnly, isRasterBacked`

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraniteImage

    public GraniteImage(@Nonnull @RawPtr @RawPtr RecordingContext context, @Nonnull @SharedPtr @SharedPtr ImageViewProxy view, int colorType, int alphaType, @Nullable ColorSpace colorSpace)

- ## Method Details

  - ### copy

    @Nullable @SharedPtr public static @SharedPtr GraniteImage copy(@RawPtr @RawPtr RecordingContext rc, @RawPtr @RawPtr ImageViewProxy srcView, @Nonnull ImageInfo srcInfo, @Nonnull Rect2ic subset, boolean budgeted, boolean mipmapped, boolean approxFit, @Nullable String label)

  - ### deallocate

    protected void deallocate()
    Description copied from class: `RefCnt`
    Override this method to invoke de-allocation of the underlying resource.
    Specified by:
      `deallocate` in class `RefCnt`

  - ### getContext

    public Context getContext()
    Overrides:
      `getContext` in class `Image`

  - ### getImageViewProxy

    @RawPtr public @RawPtr ImageViewProxy getImageViewProxy()

  - ### isTextureBacked

    public boolean isTextureBacked()
    Overrides:
      `isTextureBacked` in class `Image`

  - ### getTextureSize

    public long getTextureSize()
    Overrides:
      `getTextureSize` in class `Image`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`